EDIT - feature request #9282

Add nomenclatural standing
11/06/2020 03:59 PM - Andreas Muller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal

Description

According to #9272 there are 4 classes of nomenclatural standing. These should be stored together with the accordings terms
(currently nomenclatural status type and name relationship type) in the database.

For this an according enumeration is needed.

Related issues:

Related to EDIT - feature request #9272: Add missing nomenclatural status Closed
Related to EDIT - feature request #9273: [DISCUSS] Unify Nomenclatural status... New
Related to EDIT - task #9314: Swap 'is conserved against' New
Related to EDIT - bug #9440: Invalid designation sign missing for some invali... New
Related to EDIT - bug #9441: Move names with invalid designation name relatio... Closed
Related to EDIT - feature request #5794: Move other invalid names to the end Closed
Related to EDIT - bug #9566: Handle nomenclatural standing correctly in cdmli... Closed

Associated revisions

Revision a3a00b7a - 11/20/2020 06:06 PM - Andreas Miiller

ref #9282 add NomenclaturalStanding and INomenclaturalStanding and related method in TaxonName, NomenclaturalStatusType and
NameRelationshipType

Revision d99f9c¢25 - 11/20/2020 06:06 PM - Andreas Miiller

ref #9282 adapt some nomenclatural standings in test dataset and fix/cleanup update script

Revision bc07028c - 11/20/2020 06:06 PM - Andreas Miiller

ref #9282 some final fixes and javadoc updates for NomenclaturalStatusType and nomenclaturalStanding

Revision 9404583 - 11/20/2020 06:06 PM - Andreas Miiller

ref #9282 adapt NomenclaturalStatusType.csv to nomenclaturalStanding

Revision af1iee281 - 11/20/2020 07:05 PM - Andreas Miiller

ref #9282 adapt TaxEditor to nomenclatural standing

Revision 53ffcb3d - 11/20/2020 09:18 PM - Andreas Miiller
ref #9282 adapt app-import to nomenclaturalStanding

Revision 1145594 - 11/24/2020 12:56 PM - Andreas Miiller
ref #9282 adapt dataset.dtd to NomenclaturalStanding

Revision 99a52e55 - 11/25/2020 02:14 PM - Andreas Miiller

ref #9282 fix NPE in nomenclaturalStanding computation

History

#1 - 11/06/2020 03:59 PM - Andreas Miiller

- Related to feature request #9272: Add missing nomenclatural status added
#2 - 11/06/2020 03:59 PM - Andreas Miiller
- Related to feature request #9273: [DISCUSS] Unify Nomenclatural status and name relationships added

#3 - 11/20/2020 06:17 PM - Andreas Miiller
- Related to task #9314: Swap 'is conserved against' added

#4 - 11/20/2020 07:07 PM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from New to Highest

- % Done changed from 0 to 40

#5 - 11/20/2020 07:07 PM - Andreas Miiller

- Subject changed from Add nomenclatural standing enumeration to Add nomenclatural standing

#6 - 11/20/2020 10:47 PM - Andreas Miiller

- Status changed from In Progress to Resolved

still need to update in cdmlight

#7 - 11/27/2020 02:01 PM - Andreas Miiller
- % Done changed from 40 to 90

This generally works and can be closed. A final update script still needs to run to change handling of nom. confus. and nom. ambig. (should not
indicate nom. inval. anymore)

#8 - 11/27/2020 04:04 PM - Andreas Miiller
- Target version changed from CDM UML 5.43 to Release 5.18

#9 - 12/01/2020 10:42 AM - Andreas Miiller
- Priority changed from Highest to Priority 14

#10 - 12/02/2020 06:50 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 90 to 100

#11 - 02/01/2021 09:46 PM - Andreas Miiller

- Related to bug #9440: Invalid designation sign missing for some invalid designations in data portal added

#12 - 02/01/2021 10:47 PM - Andreas Miiller

- Related to bug #9441: Move names with invalid designation name relationships to the end in taxon comparator added

#13 - 02/01/2021 10:48 PM - Andreas Miiller

- Related to feature request #5794: Move other invalid names to the end added

#14 - 03/29/2021 07:02 PM - Andreas Miiller
- Related to bug #9566: Handle nomenclatural standing correctly in cdmlight / sorting algorithms added
